org.red5.server.net.proxy

## Class NetworkDumpFilter

- java.lang.Object
- - org.apache.mina.core.filterchain.IoFilterAdapter
  - - org.red5.server.net.proxy.NetworkDumpFilter

All Implemented Interfaces:
  org.apache.mina.core.filterchain.IoFilter

    public class NetworkDumpFilter
    extends org.apache.mina.core.filterchain.IoFilterAdapter

Network dump filter, performs raw data and headers dump on message recieve

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.mina.core.filterchain.IoFilter

`org.apache.mina.core.filterchain.IoFilter.NextFilter`

### Field Summary

Fields
`protected WritableByteChannel` `headers` Headers byte channel
`protected static org.slf4j.Logger` `log` Logger
`protected WritableByteChannel` `raw` Raw data byte channel

### Constructor Summary

Constructors
Constructor and Description
`NetworkDumpFilter(WritableByteChannel headers, WritableByteChannel raw)` Create network dump filter from given dump channels

### Method Summary

Methods
`void` `messageReceived(org.apache.mina.core.filterchain.IoFilter.NextFilter next, org.apache.mina.core.session.IoSession session, Object message)`
`void` `sessionClosed(org.apache.mina.core.filterchain.IoFilter.NextFilter next, org.apache.mina.core.session.IoSession session)`

### Methods inherited from class org.apache.mina.core.filterchain.IoFilterAdapter

`destroy, exceptionCaught, filterClose, filterWrite, init, messageSent, onPostAdd, onPostRemove, onPreAdd, onPreRemove, sessionCreated, sessionIdle, sessionOpened, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

Logger

#### raw

    protected WritableByteChannel raw

Raw data byte channel

#### headers

    protected WritableByteChannel headers

Headers byte channel

### Constructor Detail

#### NetworkDumpFilter

    public NetworkDumpFilter(WritableByteChannel headers,
                     WritableByteChannel raw)

Create network dump filter from given dump channels

Parameters:
  `headers` - Channel to dump headers
  `raw` - Channel to dump raw data

### Method Detail

#### messageReceived

    public void messageReceived(org.apache.mina.core.filterchain.IoFilter.NextFilter next,
                       org.apache.mina.core.session.IoSession session,
                       Object message)
                         throws Exception

Specified by:
  `messageReceived` in interface `org.apache.mina.core.filterchain.IoFilter`
Overrides:
  `messageReceived` in class `org.apache.mina.core.filterchain.IoFilterAdapter`
Throws:
  `Exception`

#### sessionClosed

    public void sessionClosed(org.apache.mina.core.filterchain.IoFilter.NextFilter next,
                     org.apache.mina.core.session.IoSession session)
                       throws Exception

Specified by:
  `sessionClosed` in interface `org.apache.mina.core.filterchain.IoFilter`
Overrides:
  `sessionClosed` in class `org.apache.mina.core.filterchain.IoFilterAdapter`
Throws:
  `Exception`